# $Revision: 1.300.2.20 $, $Date: 2009/01/31 19:10:43 $
# TODO:
# - trigger that prepares system from pre-cluster into cluster
# - trigger /etc/mysqld.conf into /etc/mysql/mysqld.conf. Solve possible
#   conflict with /var/lib/mysql/mysqld.conf
# - package man1/mysqlman.1, and make programs without manpage '.so mysqlman'
# - generate and package man pages from svn
#
# Conditional build:
%bcond_with	bdb		# Berkeley DB support
%bcond_without	innodb		# Without InnoDB support
%bcond_without	isam		# Without ISAM table format (used in mysql 3.22)
%bcond_without	raid		# Without raid
%bcond_without	ssl		# Without OpenSSL
%bcond_without	tcpd		# Without libwrap (tcp_wrappers) support
%bcond_with	big_tables	# enable '--with-big-tables', some performance loss on 32bit arch, but can do >= 4GB database tables.
%bcond_with	doc
#
%include	/usr/lib/rpm/macros.perl
Summary:	MySQL: a very fast and reliable SQL database engine
Summary(de):	MySQL: ist eine SQL-Datenbank
Summary(fr):	MySQL: un serveur SQL rapide et fiable
Summary(pl):	MySQL: bardzo szybka i niezawodna baza danych (SQL)
Summary(pt_BR):	MySQL: Um servidor SQL rpido e confivel
Summary(ru):	MySQL -  SQL-
Summary(uk):	MySQL -  SQL-
Summary(zh_CN):	MySQLݿ
Name:		mysql
Version:	4.1.25
Release:	1
License:	GPL + MySQL FLOSS Exception
Group:		Applications/Databases
# Newer releases from bk only, see how to fetch mysql from bk repo tag:
# http://dev.mysql.com/doc/refman/4.1/en/installing-source-tree.html .
# Manual pages are at http://svn.mysql.com/svnpublic/mysqldoc/refman-4.1/ .
Source0:	http://download.snake.de/dist/%{name}-%{version}.tar.gz
# Source0-md5:	8a83f3024667f2b83e394107d4ef3269
Source100:	%{name}-4.1.22-man.tar.bz2
# Source100-md5:	6d79b8bdbf65feb68a84c1e350675473
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}d.conf
Source5:	%{name}-clusters.conf
Source6:	%{name}.monitrc
Source7:	%{name}-ndb.init
Source8:	%{name}-ndb.sysconfig
Source9:	%{name}-ndb-mgm.init
Source10:	%{name}-ndb-mgm.sysconfig
Source11:	%{name}-ndb-cpc.init
Source12:	%{name}-ndb-cpc.sysconfig
Source13:	%{name}-client.conf
Patch0:		%{name}-libs.patch
Patch1:		%{name}-libwrap.patch
Patch2:		%{name}-c++.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-sql-cxx-pic.patch
Patch5:		%{name}-noproc.patch
Patch6:		%{name}-fix_privilege_tables.patch
Patch7:		%{name}-align.patch
Patch8:		%{name}-client-config.patch
Patch9:		%{name}-alpha.patch
URL:		http://www.mysql.com/
#BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_bdb:BuildRequires:	db3-devel}
BuildRequires:	libstdc++-devel >= 5:3.0
BuildRequires:	libtool
%{?with_tcpd:BuildRequires:	libwrap-devel}
BuildRequires:	ncurses-devel >= 4.2
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	perl-DBI
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(triggerpostun):	sed >= 4.0
Requires:	/usr/bin/setsid
Requires:	rc-scripts >= 0.2.0
Provides:	MySQL-server
Provides:	group(mysql)
Provides:	msqlormysql
Provides:	user(mysql)
Obsoletes:	MySQL
Obsoletes:	mysql-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/mysql
%define		_mysqlhome	/home/services/mysql

%define		_noautoreqdep	'perl(DBD::mysql)'

# innodb confcache has different CFLAGS
%undefine	configure_cache

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.

The main goals of MySQL are speed, robustness and easy to use. MySQL
was originally developed because we at Tcx needed a SQL server that
could handle very big databases with magnitude higher speed than what
any database vendor could offer to us. We have now been using MySQL
since 1996 in a environment with more than 40 databases, 10,000
tables, of which more than 500 have more than 7 million rows. This is
about 50G of mission critical data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years.
While MySQL is still in development, it already offers a rich and
highly useful function set.

%description -l fr
MySQL est un serveur de bases de donnees SQL vraiment multi-usagers et
multi-taches. Le langage SQL est le langage de bases de donnees le
plus populaire au monde. MySQL est une implementation client/serveur
qui consiste en un serveur (mysqld) et differents
programmes/bibliotheques clientes.

Les objectifs principaux de MySQL sont: vitesse, robustesse et
facilite d'utilisation. MySQL fut originalement developpe parce que
nous, chez Tcx, avions besoin d'un serveur SQL qui pouvait gerer de
tres grandes bases de donnees avec une vitesse d'un ordre de magnitude
superieur a ce que n'importe quel vendeur pouvait nous offrir. Nous
utilisons MySQL depuis 1996 dans un environnement avec plus de 40
bases de donnees, 10000 tables, desquelles plus de 500 ont plus de 7
millions de lignes. Ceci represente environ 50G de donnees critiques.

A la base de la conception de MySQL, on retrouve une serie de routines
qui ont ete utilisees dans un environnement de production pendant
plusieurs annees. Meme si MySQL est encore en developpement, il offre
deja une riche et utile serie de fonctions.

%description -l pl
MySQL to prawdziwie wielouytkownikowy, wielowtkowy serwer baz danych
SQL. SQL jest najpopularniejszym na wiecie jzykiem uywanym do baz
danych. MySQL to implementacja klient/serwer skadajca si z demona
mysqld i wielu rnych programw i bibliotek klienckich.

Gwnymi celami MySQL-a s szybko, potga i atwo uytkowania.
MySQL oryginalnie by tworzony, poniewa autorzy w Tcx potrzebowali
serwera SQL do obsugi bardzo duych baz danych z szybkoci o wiele
wiksz, ni mogli zaoferowa inni producenci baz danych. Uywaj go
od 1996 roku w rodowisku z ponad 40 bazami danych, 10 000 tabel, z
ktrych ponad 500 zawiera ponad 7 milionw rekordw - w sumie okoo
50GB krytycznych danych.

Baza, na ktrej oparty jest MySQL, skada si ze zbioru procedur,
ktre byy uywane w bardzo wymagajcym rodowisku produkcyjnym przez
wiele lat. Pomimo, e MySQL jest cigle rozwijany, ju oferuje bogaty
i uyteczny zbir funkcji.

%description -l de
MySQL ist eine SQL-Datenbank. Allerdings ist sie im Gegensatz zu
Oracle, DB2 oder PostgreSQL keine relationale Datenbank. Die Daten
werden zwar in zweidimensionalen Tabellen gespeichert und knnen mit
einem Primrschlssel versehen werden. Es ist aber keine Definition
eines Fremdschlssels mglich. Der Benutzer ist somit bei einer
MySQL-Datenbank vllig allein fr die (referenzielle) Integritt der
Daten verantwortlich. Allein durch die Nutzung externer
Tabellenformate, wie InnoDB bzw Berkeley DB wird eine Relationalitt
ermglicht. Diese Projekte sind aber getrennt von MySQL zu betrachten.

%description -l pt_BR
O MySQL  um servidor de banco de dados SQL realmente multiusurio e
multi-tarefa. A linguagem SQL  a mais popular linguagem para banco de
dados no mundo. O MySQL  uma implementao cliente/servidor que
consiste de um servidor chamado mysqld e diversos
programas/bibliotecas clientes. Os principais objetivos do MySQL so:
velocidade, robustez e facilidade de uso. O MySQL foi originalmente
desenvolvido porque ns na Tcx precisvamos de um servidor SQL que
pudesse lidar com grandes bases de dados e com uma velocidade muito
maior do que a que qualquer vendedor podia nos oferecer. Estamos
usando o MySQL desde 1996 em um ambiente com mais de 40 bases de dados
com 10.000 tabelas, das quais mais de 500 tm mais de 7 milhes de
linhas. Isto  o equivalente a aproximadamente 50G de dados crticos.
A base da construo do MySQL  uma srie de rotinas que foram usadas
em um ambiente de produo com alta demanda por muitos anos. Mesmo o
MySQL estando ainda em desenvolvimento, ele j oferece um conjunto de
funes muito ricas e teis. Veja a documentao para maiores
informaes.

%description -l ru
MySQL -  SQL (Structured Query Language)   . MySQL
  Michael' (monty) Widenius'. .  CREDITS 
        
 MySQL.

%description -l uk
MySQL -  SQL (Structured Query Language)   . MySQL
  Michael' (monty) Widenius'. .  CREDITS 
צ  æ   ˦   ϧ
æ.

%package extras
Summary:	MySQL additional utilities
Summary(pl):	Dodatkowe narzdzia do MySQL
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description extras
MySQL additional utilities except Perl scripts (they may be found in
%{name}-extras-perl package).

%description extras -l pl
Dodatkowe narzdzia do MySQL - z wyjtkiem skryptw Perla (ktre s w
pakiecie %{name}-extras-perl).

%package extras-perl
Summary:	MySQL additional utilities written in Perl
Summary(pl):	Dodatkowe narzdzia do MySQL napisane w Perlu
Group:		Applications/Databases
Requires:	%{name}-extras = %{version}-%{release}
Requires:	perl(DBD::mysql)

%description extras-perl
MySQL additional utilities written in Perl.

%description extras-perl -l pl
Dodatkowe narzdzia do MySQL napisane w Perlu.

%package client
Summary:	MySQL - Client
Summary(pl):	MySQL - Klient
Summary(pt):	MySQL - Cliente
Summary(ru):	MySQL 
Summary(uk):	MySQL ̦
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	MySQL-client

%description client
This package contains the standard MySQL clients.

%description client -l fr
Ce package contient les clients MySQL standards.

%description client -l pl
Standardowe programy klienckie MySQL.

%description client -l pt_BR
Este pacote contm os clientes padro para o MySQL.

%description client -l ru
     MySQL.

%description client -l uk
  ͦ Ԧ ̦ MySQL.

%package libs
Summary:	Shared libraries for MySQL
Summary(pl):	Biblioteki dzielone MySQL
Group:		Applications/Databases
Obsoletes:	libmysql10
Obsoletes:	mysql-doc < 4.1.12

%description libs
Shared libraries for MySQL.

%description libs -l pl
Biblioteki dzielone MySQL.

%package devel
Summary:	MySQL - Development header files and libraries
Summary(pl):	MySQL - Pliki nagwkowe i biblioteki dla programistw
Summary(pt):	MySQL - Medies de desempenho
Summary(ru):	MySQL -    
Summary(uk):	MySQL -   ¦̦ ͦ
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_ssl:Requires:	openssl-devel}
Requires:	zlib-devel
Obsoletes:	MySQL-devel
Obsoletes:	libmysql10-devel

%description devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.

%description devel -l fr
Ce package contient les fichiers entetes et les librairies de
developpement necessaires pour developper des applications clientes
MySQL.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do kompilacji aplikacji
klienckich MySQL.

%description devel -l pt_BR
Este pacote contm os arquivos de cabealho (header files) e
bibliotecas necessrias para desenvolver aplicaes clientes do MySQL.

%description devel -l ru
      ,  
  .

%description devel -l uk
  ͦ   ¦̦ ͦ, ȦΦ 
 -̦Ԧ.

%package static
Summary:	MySQL static libraries
Summary(pl):	Biblioteki statyczne MySQL
Summary(ru):	MySQL -  
Summary(uk):	MySQL - Φ ¦̦
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	MySQL-static

%description static
MySQL static libraries.

%description static -l pl
Biblioteki statyczne MySQL.

%description static -l ru
     , 
   .

%description static -l uk
  ͦ Φ ¦̦ ͦ, ȦΦ 
 -̦Ԧ.

%package bench
Summary:	MySQL - Benchmarks
Summary(pl):	MySQL - Programy testujce szybko dziaania bazy
Summary(pt):	MySQL - Medies de desempenho
Summary(ru):	MySQL - 
Summary(uk):	MySQL - 
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-client
Requires:	perl(DBD::mysql)
Obsoletes:	MySQL-bench

%description bench
This package contains MySQL benchmark scripts and data.

%description bench -l pl
Programy testujce szybko serwera MySQL.

%description bench -l pt_BR
Este pacote contm medies de desempenho de scripts e dados do MySQL.

%description bench -l ru
        
MySQL.

%description bench -l uk
  ͦ   Φ  æ Ԧ MySQL.

%package doc
Summary:	MySQL manual
Summary(pl):	Podrcznik uytkownika MySQL
Group:		Applications/Databases

%description doc
This package contains manual in HTML format.

%description doc -l pl
Podrcznik MySQL-a w formacie HTML.

%package ndb
Summary:	MySQL - NDB Storage Engine Daemon
Summary(pl):	MySQL - demon silnika przechowywania danych NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb
This package contains the standard MySQL NDB Storage Engine Daemon.

%description ndb -l pl
Ten pakiet zawiera standardowego demona silnika przechowywania danych
NDB.

%package ndb-client
Summary:	MySQL - NDB Clients
Summary(pl):	MySQL - programy klienckie NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-client
This package contains the standard MySQL NDB Clients.

%description ndb-client -l pl
Ten pakiet zawiera standardowe programy klienckie MySQL NDB.

%package ndb-mgm
Summary:	MySQL - NDB Management Daemon
Summary(pl):	MySQL - demon zarzdzajcy NDB
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-mgm
This package contains the standard MySQL NDB Management Daemon.

%description ndb-mgm -l pl
Ten pakiet zawiera standardowego demona zarzdzajcego MySQL NDB.

%package ndb-cpc
Summary:	MySQL - NDB CPC Daemon
Summary(pl):	MySQL - demon NDB CPC
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description ndb-cpc
This package contains the standard MySQL NDB CPC Daemon.

%description ndb-cpc -l pl
Ten pakiet zawiera standardowego demona MySQL NDB CPC.

%prep
%setup -q -a100
%patch0 -p1
%{?with_tcpd:%patch1 -p1}
%patch2 -p1
%{?with_doc:%patch3 -p1}
%ifarch alpha
# this is strange: mysqld functions for UDF modules are not explicitly defined,
# so -rdynamic is used; in such case gcc3+ld on alpha doesn't like C++ vtables
# in objects compiled without -fPIC
%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%ifarch alpha
%patch9 -p1
%endif

%{__perl} -pi -e 's@(ndb_bin_am_ldflags)="-static"@$1=""@' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}

cd bdb/dist
sh s_all
cd ../..

cd innobase
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ..

# The compiler flags are as per their "official" spec ;)
CXXFLAGS="%{rpmcflags} -felide-constructors -fno-rtti -fno-exceptions %{!?debug:-fomit-frame-pointer}"
CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

# NOTE: the PS, FIND_PROC, KILL, CHECK_PID are not used by PLD Linux
# and therefore do not add BR on these. These are here just to satisfy
# configure.
%configure \
	PS='/bin/ps' \
	FIND_PROC='/bin/ps p $$PID' \
	KILL='/bin/kill' \
	CHECK_PID='/bin/kill -0 $$PID' \
	--enable-assembler \
	--enable-shared \
	--enable-static \
	--enable-thread-safe-client \
	--with%{!?with_bdb:out}-berkeley-db \
	--with%{!?with_innodb:out}-innodb \
	--with%{!?with_isam:out}-isam \
	--with%{!?with_raid:out}-raid \
	--with%{!?with_ssl:out}-openssl \
	--with%{!?with_tcpd:out}-libwrap \
	%{?with_big_tables:--with-big-tables} \
	--with-comment="PLD Linux Distribution MySQL RPM" \
	--with%{!?debug:out}-debug \
	--with-embedded-server \
	--with-extra-charsets=all \
	--with-low-memory \
	--with-mysqld-user=mysql \
	--with-named-curses-libs="-lncurses" \
	--with-named-thread-libs="-lpthread" \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--with-archive-storage-engine \
	--with-vio \
	--with-ndbcluster \
	--without-readline \
	--without-libedit \
	--without-docs
#	--with-mysqlfs
#	--with-ndb-test --with-ndb-docs

# NOTE that /var/lib/mysql/mysql.sock is symlink to real sock file
# (it defaults to first cluster but user may change it to whatever
# cluster it wants)

echo -e "all:\ninstall:\nclean:\nlink_sources:\n" > libmysqld/examples/Makefile

%{__make} \
	benchdir=$RPM_BUILD_ROOT%{_datadir}/sql-bench

%{?with_doc:%{__make} -C Docs mysql.info}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig,mysql,monit} \
	   $RPM_BUILD_ROOT/var/{log/{archiv,}/mysql,lib/mysql} \
	   $RPM_BUILD_ROOT{%{_infodir},%{_mysqlhome}}

%if %{with bdb}
install -d $RPM_BUILD_ROOT/var/lib/mysql/bdb/{log,tmp}
%endif

# Make install
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	benchdir=%{_datadir}/sql-bench \
	libsdir=/tmp
# libsdir is to avoid installing innodb static libs in $RPM_BUILD_ROOT../libs

%{?with_doc:install Docs/mysql.info $RPM_BUILD_ROOT%{_infodir}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mysql
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/mysql
# This is template for configuration file which is created after 'service mysql init'
install %{SOURCE4} mysqld.conf
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/mysql/clusters.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/monit
touch $RPM_BUILD_ROOT/var/log/mysql/{err,log,update,isamlog.log}

# remove innodb directives from mysqld.conf if mysqld is configured without
%if %{without innodb}
	cp mysqld.conf mysqld.tmp
	awk 'BEGIN { RS="\n\n" } !/innodb/ { printf("%s\n\n", $0) }' < mysqld.tmp > mysqld.conf
%endif

# remove berkeley-db directives from mysqld.conf if mysqld is configured without
%if %{without bdb}
	cp mysqld.conf mysqld.tmp
	awk 'BEGIN { RS="\n\n" } !/bdb/ { printf("%s\n\n", $0) }' < mysqld.tmp > mysqld.conf
%endif

install mysqld.conf $RPM_BUILD_ROOT%{_datadir}/mysql/mysqld.conf
install %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/mysql/mysql-client.conf

# NDB
install %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb
install %{SOURCE9} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb-mgm
install %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb-mgm
install %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql-ndb-cpc
install %{SOURCE12} $RPM_BUILD_ROOT/etc/sysconfig/mysql-ndb-cpc

# remove .txt variants for .sys messages
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/*/*.txt

mv -f $RPM_BUILD_ROOT%{_libdir}/mysql/lib* $RPM_BUILD_ROOT%{_libdir}
%{__perl} -pi -e 's,%{_libdir}/mysql,%{_libdir},;' $RPM_BUILD_ROOT%{_libdir}/libmysqlclient.la

# remove known unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/mysql-test

# rename not to be so generic name
mv $RPM_BUILD_ROOT%{_bindir}/{,mysql_}comp_err
mv $RPM_BUILD_ROOT%{_bindir}/{,mysql_}resolve_stack_dump

# functionality in initscript / rpm
rm $RPM_BUILD_ROOT%{_bindir}/mysql_create_system_tables
rm $RPM_BUILD_ROOT%{_bindir}/mysql_install_db
rm $RPM_BUILD_ROOT%{_bindir}/mysqld_safe
rm $RPM_BUILD_ROOT%{_bindir}/mysqld_multi
rm $RPM_BUILD_ROOT%{_mandir}/man1/mysqld_{multi,safe}*
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/fill_help_tables.sql
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/mysql-log-rotate
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/mysql.server
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/binary-configure
rm $RPM_BUILD_ROOT%{_bindir}/mysql_waitpid
rm $RPM_BUILD_ROOT%{_mandir}/man1/{mysql.server,safe_mysqld}*

# in %doc
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/*.{ini,cnf}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 89 mysql
%useradd -u 89 -d %{_mysqlhome} -s /bin/sh -g mysql -c "MySQL Server" mysql

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add mysql

if [ "$1" = 1 ]; then
	%banner -e %{name}-4.1.x <<-EOF
	If you want to use new help tables in mysql 4.1.x then you'll need to import the help data:
	zcat %{_docdir}/%{name}-%{version}/fill_help_tables.sql.gz | mysql mysql
EOF
#'
fi

%service mysql restart || :

%preun
if [ "$1" = "0" ]; then
	%service -q mysql stop
	/sbin/chkconfig --del mysql
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove mysql
	%groupremove mysql
fi

%post ndb
/sbin/chkconfig --add mysql-ndb
if [ -f /var/lock/subsys/mysql-ndb ]; then
        /etc/rc.d/init.d/mysql-ndb restart >&2
else
        echo "Run \"/etc/rc.d/init.d/mysql-ndb start\" to start mysql NDB engine." >&2
fi

%preun ndb
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/mysql-ndb ]; then
                /etc/rc.d/init.d/mysql-ndb stop
        fi
        /sbin/chkconfig --del mysql-ndb
fi

%post ndb-mgm
/sbin/chkconfig --add mysql-ndb-mgm
if [ -f /var/lock/subsys/mysql-ndb-mgm ]; then
        /etc/rc.d/init.d/mysql-ndb-mgm restart >&2
else
        echo "Run \"/etc/rc.d/init.d/mysql-ndb-mgm start\" to start mysql NDB management node." >&2
fi

%preun ndb-mgm
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/mysql-ndb-mgm ]; then
                /etc/rc.d/init.d/mysql-ndb-mgm stop
        fi
        /sbin/chkconfig --del mysql-ndb-mgm
fi

%post ndb-cpc
/sbin/chkconfig --add mysql-ndb-cpc
if [ -f /var/lock/subsys/mysql-ndb-cpc ]; then
        /etc/rc.d/init.d/mysql-ndb-cpc restart >&2
else
        echo "Run \"/etc/rc.d/init.d/mysql-ndb-cpc start\" to start mysql NDB CPC." >&2
fi

%preun ndb-cpc
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/mysql-ndb-cpc ]; then
                /etc/rc.d/init.d/mysql-ndb-cpc stop
        fi
        /sbin/chkconfig --del mysql-ndb-cpc
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%triggerpostun -- mysql <= 4.0.20-2
# For clusters in /etc/mysql/clusters.conf
if [ -f "/etc/sysconfig/mysql" ]; then
	. /etc/sysconfig/mysql
	if [ -n "$MYSQL_DB_CLUSTERS" ]; then
		for i in "$MYSQL_DB_CLUSTERS"; do
			echo "$i/mysqld.conf=$i" >> /etc/mysql/clusters.conf
		done
		echo "# Do not use **obsolete** option MYSQL_DB_CLUSTERS" >> /etc/sysconfig/mysql
		echo "# USE /etc/mysql/clusters.conf instead" >> /etc/sysconfig/mysql
		echo "Converted clusters from MYSQL_DB_CLUSTERS to /etc/mysql/clusters.conf."
		echo "You NEED to fix your /etc/sysconfig/mysql and verify /etc/mysql/clusters.conf."
	fi
fi

%triggerpostun -- mysql <= 4.1.1
# For better compatibility with prevoius versions:
for config in $(awk -F= '!/^#/ && /=/{print $1}' /etc/mysql/clusters.conf); do
	if echo "$config" | grep -q '^/'; then
		config_file="$config"
	elif [ -f "/etc/mysql/$config" ]; then
		config_file=/etc/mysql/$config
	else
		clusterdir=$(awk -F= "/^$config/{print \$2}" /etc/mysql/clusters.conf)
		if [ -z "$clusterdir" ]; then
			echo >&2 "Can't find cluster dir for $config!"
			echo >&2 "Please remove extra (leading) spaces from /etc/mysql/clusters.conf"
			exit 1
		fi
		config_file="$clusterdir/mysqld.conf"
	fi

	if [ ! -f "$config_file" ]; then
			echo >&2 "Lost myself! Please report this (with above errors, if any) to http://bugs.pld-linux.org/"
			exit 1
	fi
	echo "Adding option old-passwords to config: $config_file"
	echo "If you want to use new, better passwords - remove it"

	# sed magic to add 'old-passwords' to [mysqld] section
	sed -i -e '/./{H;$!d;};x;/\[mysqld\]/{
		a
		a; Compatibility options:
		aold-passwords
	}
	' $config_file
done

%banner -e %{name}-4.1.x <<-EOF
	If you want to use new help tables in mysql 4.1.x then you'll need to import the help data:
	zcat %{_docdir}/%{name}-%{version}/fill_help_tables.sql.gz | mysql mysql
EOF
#'

%files
%defattr(644,root,root,755)
%doc support-files/*.cnf support-files/*.ini scripts/fill_help_tables.sql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/mysql
%attr(754,root,root) /etc/rc.d/init.d/mysql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql
%attr(640,root,mysql) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mysql/clusters.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monit/*.monitrc
%attr(755,root,root) %{_bindir}/isamchk
%attr(755,root,root) %{_bindir}/isamlog
%attr(755,root,root) %{_bindir}/myisamchk
%attr(755,root,root) %{_bindir}/myisamlog
%attr(755,root,root) %{_bindir}/myisampack
%attr(755,root,root) %{_bindir}/mysql_fix_privilege_tables
%attr(755,root,root) %{_bindir}/pack_isam
%attr(755,root,root) %{_bindir}/my_print_defaults
%attr(755,root,root) %{_sbindir}/mysqld
%{_mandir}/man1/isamchk.1*
%{_mandir}/man1/isamlog.1*
%{_mandir}/man1/mysql_fix_privilege_tables.1*
%{_mandir}/man1/mysqld.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/pack_isam.1*
%{_mandir}/man8/mysqld.8*

%attr(700,mysql,mysql) %{_mysqlhome}
# root:root is proper here for AC mysql.rpm while mysql:mysql is potential security hole
%attr(751,root,root) /var/lib/mysql
%attr(750,mysql,mysql) %dir /var/log/mysql
%attr(750,mysql,mysql) %dir /var/log/archiv/mysql
%attr(640,mysql,mysql) %ghost /var/log/mysql/*

%{?with_doc:%{_infodir}/mysql.info*}
%dir %{_datadir}/mysql
# This is template for configuration file which is created after 'service mysql init'
%{_datadir}/mysql/mysqld.conf
%{_datadir}/mysql/charsets
%{_datadir}/mysql/english
%{_datadir}/mysql/mysql_fix_privilege_tables.sql
%lang(cs) %{_datadir}/mysql/czech
%lang(da) %{_datadir}/mysql/danish
%lang(de) %{_datadir}/mysql/german
%lang(el) %{_datadir}/mysql/greek
%lang(es) %{_datadir}/mysql/spanish
%lang(et) %{_datadir}/mysql/estonian
%lang(fr) %{_datadir}/mysql/french
%lang(hu) %{_datadir}/mysql/hungarian
%lang(it) %{_datadir}/mysql/italian
%lang(ja) %{_datadir}/mysql/japanese
%lang(ja) %{_datadir}/mysql/japanese-sjis
%lang(ko) %{_datadir}/mysql/korean
%lang(nl) %{_datadir}/mysql/dutch
%lang(nb) %{_datadir}/mysql/norwegian
%lang(nn) %{_datadir}/mysql/norwegian-ny
%lang(pl) %{_datadir}/mysql/polish
%lang(pt) %{_datadir}/mysql/portuguese
%lang(ro) %{_datadir}/mysql/romanian
%lang(ru) %{_datadir}/mysql/russian
%lang(sr) %{_datadir}/mysql/serbian
%lang(sk) %{_datadir}/mysql/slovak
%lang(sv) %{_datadir}/mysql/swedish
%lang(uk) %{_datadir}/mysql/ukrainian

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/msql2mysql
%attr(755,root,root) %{_bindir}/perror
%attr(755,root,root) %{_bindir}/replace
%attr(755,root,root) %{_bindir}/resolveip
%attr(755,root,root) %{_bindir}/myisam_ftdump
%attr(755,root,root) %{_bindir}/mysql_secure_installation
%attr(755,root,root) %{_bindir}/mysql_tzinfo_to_sql
%attr(755,root,root) %{_bindir}/mysqlcheck
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/msql2mysql*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysqlcheck.1*

%files extras-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql_convert_table_format
%attr(755,root,root) %{_bindir}/mysqldumpslow
%attr(755,root,root) %{_bindir}/mysqlhotcopy
%attr(755,root,root) %{_bindir}/mysql_setpermission
%attr(755,root,root) %{_bindir}/mysql_zap
%attr(755,root,root) %{_bindir}/mysql_find_rows
%attr(755,root,root) %{_bindir}/mysqlaccess
%attr(755,root,root) %{_bindir}/mysql_fix_extensions
%attr(755,root,root) %{_bindir}/mysql_explain_log
%attr(755,root,root) %{_bindir}/mysql_tableinfo
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/mysql_explain_log.1*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql
%attr(755,root,root) %{_bindir}/mysqlbug
%attr(755,root,root) %{_bindir}/mysqldump
%attr(755,root,root) %{_bindir}/mysqlimport
%attr(755,root,root) %{_bindir}/mysqlmanager*
%attr(755,root,root) %{_bindir}/mysqlshow
%attr(755,root,root) %{_bindir}/mysqlbinlog
%attr(755,root,root) %{_bindir}/mysqladmin
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqlman.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlimport.1*

%files libs
%defattr(644,root,root,755)
%doc EXCEPTIONS-CLIENT
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(751,root,root) %dir %{_sysconfdir}/mysql
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mysql/mysql-client.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql_config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_bindir}/*comp_err
%attr(755,root,root) %{_bindir}/*resolve_stack_dump
%{_libdir}/lib*.la
%{_libdir}/lib*[!tr].a
%{_includedir}/mysql
%{_mandir}/man1/mysql_config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*[tr].a

%files bench
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysqltest
%attr(755,root,root) %{_bindir}/mysql_client_test
%dir %{_datadir}/sql-bench
%{_datadir}/sql-bench/[CDRl]*
%attr(755,root,root) %{_datadir}/sql-bench/[bcgirst]*
# wrong dir?
%{_datadir}/mysql/mi_test_all.res
%attr(755,root,root) %{_datadir}/mysql/mi_test_all

#%files doc
#%defattr(644,root,root,755)
#%doc Docs/manual.html Docs/manual_toc.html

%files ndb
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndbd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb

%files ndb-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ndb_*
%attr(755,root,root) %{_datadir}/mysql/ndb_size.tmpl

%files ndb-mgm
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndb_mgmd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb-mgm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb-mgm

%files ndb-cpc
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ndb_cpcd
%attr(754,root,root) /etc/rc.d/init.d/mysql-ndb-cpc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-ndb-cpc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql.spec,v $
Revision 1.300.2.20  2009/01/31 19:10:43  arekm
- up to 4.1.25

Revision 1.300.2.19  2007/12/04 18:20:59  glen
- rel 2

Revision 1.300.2.18  2007-12-02 22:43:27  glen
- add manpages back from 4.1.22 tarball

Revision 1.300.2.17  2007-12-02 20:50:20  arekm
- add patch from bk; fixes some important security things

Revision 1.300.2.16  2007-12-02 20:21:55  arekm
- up to 4.1.23

Revision 1.300.2.15  2007-06-13 18:16:02  glen
- rel 2

Revision 1.300.2.14  2007/06/12 07:57:01  glen
- fix alpha build. (thx qboosh)

Revision 1.300.2.13  2007/06/08 21:58:43  glen
- hey alpha fans, plz fix :(

Revision 1.300.2.12  2006/11/28 15:29:27  glen
- 4.1.22
- This is the final planned binary bugfix release for the MySQL 4.1 production
  family. Per the MySQL Product Life Cycle policy, active support of version
  4.1 will end on December 31, 2006.

Revision 1.300.2.11  2006/07/28 13:52:59  glen
- 4.1.21

Revision 1.300.2.10  2006/07/18 17:42:33  glen
- rel 2

Revision 1.300.2.9  2006/05/31 19:09:21  glen
- 4.1.20: An SQL-injection security hole security fix release.

Revision 1.300.2.8  2006/05/09 17:01:55  glen
- monit file doesn't need to be executable

Revision 1.300.2.7  2006/05/09 13:43:45  qboosh
- formatting

Revision 1.300.2.6  2006/05/04 20:02:27  glen
- 4.1.19

Revision 1.300.2.5  2006/02/20 13:04:22  glen
- adapterized
- configure cache hack

Revision 1.300.2.4  2006/02/20 09:07:21  arekm
- updated to 4.1.18

Revision 1.300.2.3  2005/12/14 17:15:31  glen
- update to 4.1.16
- package new man pages

Revision 1.300.2.2  2005/11/21 23:47:25  glen
- and don't forget adding hold = mysql to poldek.conf when doing that! ;)

Revision 1.300.2.1  2005/11/21 23:43:26  glen
- server does not require -libs
- now you can install server from this branch and use client library programs from ftp
- rel 3

Revision 1.300  2005/10/20 15:04:08  glen
- enable archive-storage-engine; rel 2

Revision 1.299  2005/10/19 10:24:56  qboosh
- updated to 4.1.15

Revision 1.298  2005/09/22 12:24:06  glen
- ignore error from mysql restart in %post. it doesn't give any value not having so, but having it could at least prevent duplicate mysql packages installed on system

Revision 1.297  2005/09/17 11:51:46  arekm
- new readline 5.0

Revision 1.296  2005/08/25 18:25:11  glen
- updated to 4.1.14

Revision 1.295  2005/07/27 13:51:06  glen
- guide where are the help tables data (probably it should be instead in initscript?)

Revision 1.294  2005/07/21 14:13:50  glen
- use %service macro for mysql server
- rel 1; STBR

Revision 1.293  2005/07/21 13:37:23  glen
- fetch 4.1.13 sources

Revision 1.292  2005/07/21 13:34:08  glen
- rel 3

Revision 1.291  2005/07/21 13:33:41  glen
- log files as %ghost not %config

Revision 1.290  2005/07/18 14:22:19  glen
- xargs not neccessary in last trigger

Revision 1.289  2005/07/18 13:27:26  glen
- fix mysql 4.1.1 migration trigger where one has leading space in cluster definition

Revision 1.288  2005/07/09 23:46:40  arekm
- rel 2

Revision 1.287  2005/07/09 23:36:21  glen
- put mysql-doc to proper place (-libs)

Revision 1.286  2005/07/09 23:18:06  glen
- include fill_help_tables.sql in %doc

Revision 1.285  2005/07/09 23:06:26  glen
- mysql.init violates LSB (or whatever) and exits with failure on stop. let the %post script still work and ignore restart error code

Revision 1.284  2005/07/09 18:15:30  glen
- mysql-doc package is gone since 4.1.12. obsolete it by main package

Revision 1.283  2005/07/09 16:33:06  arekm
- there is now mysql-client.conf which is always processed by mysql_init()

Revision 1.282  2005/07/09 13:57:31  arekm
- set collation to latin2-like, too.

Revision 1.281  2005/07/09 13:49:39  arekm
- fix log (latin2)

Revision 1.280  2005/07/09 13:41:53  arekm
- switch by default to latin2 (of course latin1 still can be changed runtime but not exactly in the same way as setting here)

Revision 1.279  2005/06/16 13:44:33  glen
- improved mysql old-passwords migration trigger
- fixes cases when mysqld.conf was in clusterdir

Revision 1.278  2005/05/19 19:07:45  glen
- rel 1; STBR if you wish

Revision 1.277  2005/05/19 16:14:41  glen
- added bigtables bcond
- cleanup on options
- mysql_client_test moved to bench

Revision 1.276  2005/05/17 18:03:02  glen
- %clean back

Revision 1.275  2005/05/17 17:39:25  qboosh
- removed obsolete nptl patch

Revision 1.274  2005/05/17 08:38:31  ankry
- reverted: we don't have ja_JP.SJIS locale (unsupported)

Revision 1.273  2005/05/16 16:40:13  glen
- mysqltest moved to -bench

Revision 1.272  2005/05/16 16:33:00  glen
- no point creating empty -doc package

Revision 1.271  2005/05/16 16:31:09  glen
- use locale that arekm tought will do (smb like ankry please check this)

Revision 1.270  2005/05/16 16:20:15  glen
- package the new files into appropriate subpackages instead of just removing them

Revision 1.269  2005/05/16 16:08:33  glen
- resolved little unpackaged files

Revision 1.268  2005/05/16 15:44:32  glen
- remove Docs workaround (no longer needed)
- remove BR on /bin/ps, only one that needed PS, KILL, FIND_PROC,
  CHECK_PID was safe_mysqld, but PLD has it's own initscript
- remove STUPID typo which killed .txt files from source tree and
  broke re-entrant %install

Revision 1.267  2005/05/16 06:42:55  glen
- add innotests to -bench package

Revision 1.266  2005/05/16 05:58:20  glen
- no more html Docs. bug? gone forever?

Revision 1.265  2005/05/16 05:29:23  glen
- updated info patch
- ntpl patch not needed? (please check)

Revision 1.264  2005/05/16 05:00:41  glen
- fetch 4.1.12 sources (from a closer mirror)

Revision 1.263  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.262  2005/04/26 10:58:06  arekm
- rel 2

Revision 1.261  2005/04/07 20:06:21  arekm
- up to 4.1.11 (my_print_defaults is needed by mysql_fix_pri* so moved to proper psubpackage).

Revision 1.260  2005/04/04 18:00:21  blues
- trigger to use old password() function, even after fixing tables.

Revision 1.259  2005/03/23 11:55:23  spider
- added german description

Revision 1.258  2005/03/13 10:33:45  arekm
- up to 4.1.10a (security fixes)

Revision 1.257  2005/03/04 21:18:34  qboosh
- grr, more align workarounds; release 2

Revision 1.256  2005/03/04 12:36:47  qboosh
- added align patch (workaround not to use void* alignment when accessing chars)
- dropped obsolete -mno-explicit-relocs hack
- release 1

Revision 1.255  2005/02/15 22:51:12  glen
- merge from AC-branch: bconds, CXXFLAGS optimize

Revision 1.254  2005/02/15 18:48:06  qboosh
- cosmetic

Revision 1.253  2005/02/15 18:34:32  glen
- 4.1.10 (mysqlaccess patch obsolete)
- adapterized

Revision 1.252  2005/02/12 19:52:39  arekm
- rel 1

Revision 1.251  2005/02/06 17:56:34  qboosh
- updated to 4.1.9, updated libwrap patch, removed obsolete _r-link patch

Revision 1.250  2005/01/24 13:20:49  krolik
- security patch, rel. 0.2
- STBR

Revision 1.249  2004/12/29 13:11:57  zergin
- updated to newest version: 4.1.8a

Revision 1.248  2004/12/26 11:39:32  qboosh
- fixed nasty typo in libs patch, release 0.2

Revision 1.247  2004/12/25 13:01:42  qboosh
- removed lib64 breakage from nptl patch

Revision 1.246  2004/12/24 15:56:23  qboosh
- hack ndb_bin_am_ldflags to kill static linking with libstdc++

Revision 1.245  2004/12/17 00:57:17  glen
- 4.1.8

Revision 1.244  2004/10/31 20:47:05  qboosh
- lang fix

Revision 1.243  2004/10/29 10:03:39  qboosh
- removed outdated dump_quote_db_names patch

Revision 1.242  2004/10/28 09:35:47  arekm
- rel 0.2; works for me on my ac server btw. (server updated while client using old mysql-libs)

Revision 1.241  2004/10/28 05:55:48  blues
- moved fix privileges script to main package

Revision 1.240  2004/10/27 21:29:25  qboosh
- pl for -ndb*

Revision 1.239  2004/10/27 10:15:26  arekm
- add mysql_fix_privilege_tables.sql to extras subpackage

Revision 1.238  2004/10/27 02:48:32  arekm
- ndb update

Revision 1.237  2004/10/27 02:11:30  arekm
- TODO items; drop config caching (breaks things); turn on NDB engine

Revision 1.236  2004/10/26 23:24:26  arekm
- fetch src

Revision 1.235  2004/10/25 09:10:23  qboosh
- release 2: rebuild with more mysql.init fixes

Revision 1.234  2004/10/13 23:21:19  ankry
- %userremove/%groupremove support, standardized

Revision 1.233  2004/09/19 20:10:26  blues
- release 1.9 - consider bunping to rel 2 and rebuild with fixed init.

Revision 1.232  2004/09/12 12:16:07  arekm
- update to 4.0.21; security fixes; new license exception which should mysql in pld more legal than before

Revision 1.231  2004/08/25 09:40:38  arekm
- ups

Revision 1.230  2004/08/24 23:26:43  arekm
- rel 4; these (not too critical sec bugs will be fixed in next release)

Revision 1.229  2004/08/23 09:10:19  blues
- SECURITY note.... IMPORTANT

Revision 1.228  2004/08/18 23:36:05  arekm
- add explanation about /var/lib/mysql/mysql.sock to avoid mistakes in future

Revision 1.227  2004/08/18 23:26:39  arekm
- reverted socket change, FIRST understand THEN change

Revision 1.226  2004/08/18 23:24:30  gotar
- mysql UNIX socket defaults to PLD default

Revision 1.225  2004/08/14 22:26:10  arekm
- better messages in trigger

Revision 1.224  2004/08/14 17:32:03  arekm
- rel 3.1; testing beggins again

Revision 1.223  2004/08/13 20:45:50  arekm
- rel 3; no one complained but there were positive reports

Revision 1.222  2004/07/27 20:48:39  arekm
- rel 2.6

Revision 1.221  2004/07/27 20:12:41  arekm
- remove wrong mysqld.conf, template is back

Revision 1.220  2004/07/21 21:23:29  arekm
- revert krzak change + add comment

Revision 1.219  2004/07/21 19:17:24  krzak
- /var/lib/mysql owned by mysql,mysql

Revision 1.218  2004/07/16 12:35:26  blues
- added monit file

Revision 1.217  2004/06/29 00:12:54  arekm
- it's GPL only, so no LGPL -  linking exception isn't yet there

Revision 1.216  2004/06/20 21:36:56  arekm
- fix specflags (quotation here is buggy)

Revision 1.215  2004/06/17 22:04:32  adamg
- typo (doubled comma in attr) - pointed out by glen

Revision 1.214  2004/06/07 19:57:03  blues
- TODO removed, please test it

Revision 1.213  2004/06/05 17:24:39  qboosh
- script body for -p /sbin/ldconfig must be empty

Revision 1.212  2004/06/04 22:01:28  ciesiel
- rel. 2.3
- added TODO

Revision 1.211  2004/05/26 20:29:05  blues
- small fix :)

Revision 1.210  2004/05/26 20:06:17  blues
- first portion of triggers

Revision 1.209  2004/05/26 19:40:49  blues
- started new clusters scheme. triggers are missing still

Revision 1.208  2004/05/21 13:36:40  arekm
- rel 2; mysql.init improved a little but still problematic

Revision 1.207  2004/05/21 13:05:58  arekm
- drop mysql/{db,innodb}

Revision 1.206  2004/05/19 11:00:38  arekm
- 4.0.20

Revision 1.205  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.204  2004/05/07 22:03:28  qboosh
- hack to build on amd64 (--with-named-thread-libs is not enough)
- sorted configure options, release 2

Revision 1.203  2004/04/28 14:45:00  arekm
- rel 1

Revision 1.202  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.201  2004/02/27 10:31:36  twittner
- typo

Revision 1.200  2004/02/17 22:27:03  grzegol
- added nptl patch (without bcond because it doesn't break build with
  non nptl glibc) - patch by Tomasz Kowalczyk <kowalczt (at) ee.pw.edu.pl>

Revision 1.199  2004/02/15 20:07:31  qboosh
- fixed chown and added setsid usage in init, R: /usr/bin/setsid
- strict internal deps

Revision 1.198  2004/02/15 13:46:29  qboosh
- removed obsolete comment

Revision 1.197  2004/02/15 10:08:30  arekm
- /var/lib/mysql is now root, root

Revision 1.196  2004/02/15 10:02:08  arekm
- 4.0.18, security problem resolved with adding one more dir in clusterdir

Revision 1.195  2004/02/09 22:42:30  qboosh
- added TODO about security vs clusters support (this is must-fix)

Revision 1.194  2004/01/30 20:11:55  qboosh
- fixed -doc perms

Revision 1.193  2004/01/30 19:44:16  witekfl
- added doc subpackage

Revision 1.192  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.191  2003/12/25 11:14:36  arekm
- updated to 4.0.17

Revision 1.190  2003/11/28 20:50:08  qboosh
- really? one more typo in the same line fixed ;>

Revision 1.189  2003/11/28 18:24:51  deejay1
- closed ticket 780 ;>
- changelog cosmetics

Revision 1.188  2003/11/07 09:58:07  qboosh
- -bench R: perl(DBD::mysql) (closes BTS#766)

Revision 1.187  2003/10/24 19:33:56  arekm
- fixed source4 installation

Revision 1.186  2003/10/24 16:13:49  arekm
- mysqld.conf is now template only

Revision 1.185  2003/10/23 20:23:46  arekm
- remove patch6

Revision 1.184  2003/10/23 18:30:42  arekm
- updated to 4.0.16 (first version with proper init.d/mysql script)

Revision 1.183  2003/10/04 17:21:45  qboosh
- grr, fixed link patch, restored removed hunks
- added mysql_fix_privilege_tables(1) man to -extras
- moved mysql_config script from -extras to -devel
- -devel R: zlib-devel

Revision 1.182  2003/10/01 17:05:03  eothane
- added mysql-admin-is-``mysql''-not-``root''.patch
- removed mysql-3 series changelog

Revision 1.181  2003/09/13 19:42:23  misi3k
- tmp off dump_quote_db_names

Revision 1.180  2003/09/12 17:19:01  misi3k
- removed outdated sec patch

Revision 1.179  2003/09/12 17:01:31  misi3k
- updated to 4.0.15 NFY

Revision 1.178  2003/09/11 22:17:18  blues
- cosmetics

Revision 1.177  2003/09/11 05:04:24  misi3k
- rel 3
- added secuirty patch
Bug: buffer overflow - password field
(more info in cvs log of mysql-buffer.patch)

Revision 1.176  2003/08/23 22:28:24  wiget
- added workaround for buggy gcc 3.3.1 on alpha
- release 2

Revision 1.175  2003/08/21 13:19:07  qboosh
- -devel R: openssl-devel

Revision 1.174  2003/08/19 14:08:16  qboosh
- updated _noauto, moved to top so it's easier to find

Revision 1.173  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.172  2003/07/30 09:11:28  blues
- more macros

Revision 1.171  2003/07/24 22:17:12  adamg
- updated to 4.0.14

Revision 1.170  2003/07/11 13:01:56  qboosh
- added noproc patch, specify ps and kill arguments to configure

Revision 1.169  2003/07/11 12:14:44  qboosh
- added sql-cxx-pic patch (-fPIC as workaround for -rdynamic and C++ vtables on gcc3/alpha)
- -fomit-frame-pointer only if no debug

Revision 1.168  2003/07/11 07:58:54  qboosh
- c++ patch requires gcc3 - added version to libstdc++-devel

Revision 1.167  2003/06/30 09:26:27  qboosh
- note about /proc

Revision 1.166  2003/06/22 18:33:48  blues
- added manfixes.patch - stollen from RH

Revision 1.165  2003/06/21 06:15:39  blues
- small cosmetics

Revision 1.164  2003/06/09 18:57:09  arekm
- updated to 4.0.13

Revision 1.163  2003/05/25 20:15:03  adgor
- Sources md5

Revision 1.162  2003/05/25 05:50:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.161  2003/05/17 06:30:02  pascalek
- revert user changes

Revision 1.160  2003/05/10 11:32:49  pascalek
- Req user-mysql

Revision 1.159  2003/04/24 18:12:45  misiek
- isamlog -> isamlog.log

Revision 1.158  2003/03/18 20:56:46  misiek
- updated to final 4.0.12 (first PRODUCTION release of 4.0 series); removed obsolete patches

Revision 1.157  2003/03/18 09:16:24  trojan
- moved mysqlbug from libs to client (libs is not good place to keep
  any applications)

Revision 1.156  2003/03/11 17:07:53  qboosh
- somebody forgot about info patch - it's back
- release 2

Revision 1.155  2003/03/10 22:46:44  qboosh
- extended libs patch: don't link with unnecessary -lnsl, link with -lcrypt
  only where needed, link libmysqlclient_r with -lpthread
- avoid leaving trash (innodb static libs) in %{tmpdir} after %install
- extended pl description

Revision 1.154  2003/03/04 17:03:41  wiget
- fix linking libmysqlclient_r

Revision 1.153  2003/03/04 16:54:50  wiget
- errno related fixes

Revision 1.152  2003/03/03 20:53:38  misiek
- updated to 4.0.11a

Revision 1.151  2003/03/02 01:39:47  radek
- BR: /bin/ps,  use the __perl macro

Revision 1.150  2003/02/17 01:39:16  ankry
- fixed mysql.init, rel. 0.21

Revision 1.149  2003/02/14 20:35:05  misiek
- merged from DEVEL

Revision 1.147.2.5  2003/02/14 14:57:13  misiek
- add my_dir.h to -devel subpackage

Revision 1.147.2.4  2003/02/13 19:01:34  misiek
- builds fine; init scripts probably need update

Revision 1.147.2.3  2003/02/13 13:54:52  misiek
- more work

Revision 1.147.2.2  2003/02/12 01:18:26  misiek
- still doesn't build; libstdc++ problems

Revision 1.147.2.1  2003/02/03 23:15:59  misiek
- started 4.0 series
